<?php

require_once('dao/Article.class.php');

define('PAGE_COUNT', 5);

class PagingManager {

    var $current_page_num;
	var $articles;
	
	function PagingManager($page_num) {
		$this->current_page_num = $page_num;
		
		$dao = new Dao_Article;
		$this->articles = $dao->getArticles();
	}

	function getArticles() {
	    
        $limit_from = (PAGE_COUNT * $this->current_page_num) - PAGE_COUNT;
		$limit_to = $limit_from + PAGE_COUNT -1;
		$index = 0;
        $part_of_articles = array();
		
		while($row =& $this->articles->fetchRow()){
            if( $limit_from <= $index && $index <= $limit_to ) {
				$part_of_articles[sizeof($part_of_articles)] = $row;
			}
			$index++;
		}
		return $part_of_articles;
	}

	function hasPrevPage() {
	    return  ( $this->current_page_num > 1 ); 
	}

	function hasNextPage() {
        return ( $this->current_page_num * PAGE_COUNT < $this->articles->numRows() );
	}

	function getPageCount() {
        return ceil($this->articles->numRows() / PAGE_COUNT);
	}

}

?>
