<?php

require_once('Smarty.class.php');
require_once('paging_manager.php');

/* vim: set expandtab tabstop=4 shiftwidth=4 softtabstop=4: */

/**
 * @package     
 * @author      Akio Konuma
 * @access      public
 */
class Display
{

    var $articles;
    var $page_num;
    var $page_count;
    var $is_prev_disabled;
    var $is_next_disabled;

    /**
     * @access  public
     */
    function execute()
    {
        $log = LogFactory::getLog();
        $log->trace('Display.execute()');

        $pager = new PagingManager($this->getPageNum());
        $result = $pager->getArticles();
        $articles = array();

        foreach ($result as $row){
             $articles[sizeof($articles)]
                  = array('name'=>$row[1], 'date'=>$row[2], 'message'=>$row[3]);
        }

        $this->articles = $articles;
        $this->page_num = $this->getPageNum();
        $this->page_count = $pager->getPageCount();
        if (!$pager->hasPrevPage() ) {
            $this->is_prev_disabled = 'disabled';
        }
        if (!$pager->hasNextPage()) {
            $this->is_next_disabled = 'disabled';
        }

        return 'success';
    }

    function getPageNum(){

        $page_num = (int) $this->page_num;
        if ($page_num <= 1){
            $page_num = 1;
        }
        return $page_num;
    }

}

?>
